export default {
  common: {
    home: '首页',
    tools: '工具箱',
    categories: '分类',
    search: '搜索',
    clear: '清除',
    copy: '复制',
    copied: '已复制',
    paste: '粘贴',
    save: '保存',
    load: '加载',
    download: '下载',
    upload: '上传',
    format: '格式化',
    compress: '压缩',
    expand: '展开',
    validate: '验证',
    convert: '转换',
    generate: '生成',
    example: '示例',
    history: '历史',
    favorites: '收藏',
    settings: '设置',
    about: '关于',
    close: '关闭',
    cancel: '取消',
    confirm: '确认',
    delete: '删除',
    edit: '编辑',
    back: '返回',
    next: '下一步',
    previous: '上一步',
    loading: '加载中...',
    error: '错误',
    success: '成功',
    warning: '警告',
    info: '信息',
    placeholder: '请输入内容...',
    noData: '暂无数据',
    retry: '重试',
    refresh: '刷新',
    reset: '重置',
    submit: '提交',
    input: '输入',
    output: '输出',
    result: '结果',
    preview: '预览',
    send: '发送',
    add: '添加',
    remove: '移除'
  },
  categories: {
    all: '全部',
    common: '常用',
    json: 'JSON',
    encoding: '编码',
    network: '网络',
    datetime: '时间',
    code: '代码',
    text: '文本',
    image: '图像',
    frontend: '前端',
    file: '文件'
  },
  tools: {
    json_formatter: {
      title: 'JSON 格式化',
      description: 'JSON格式化、美化、压缩和验证工具',
      input_json: '输入JSON',
      output: '输出',
      paste_json_here: '粘贴JSON到这里',
      paste_json_placeholder: '请粘贴或输入JSON内容...',
      output_placeholder: '格式化结果将显示在这里',
      characters: '字符',
      processing: '处理中...',
      processing_large_json: '处理大型JSON中...',
      processing_large_json_message: '正在处理大型JSON文件，请稍候...',
      parsing_json: '解析JSON中...',
      cancel_processing: '取消处理',
      
      // 工具栏按钮
      beautify: '美化',
      compress: '压缩',
      copy: '复制',
      clear: '清除',
      load_example: '加载示例',
      reformat: '重新格式化',
      save: '保存',
      history: '历史记录',
      remove_slash: '移除斜杠',
      escape_string: '字符串转义',
      unescape_string: '字符串反转义',
      cancel: '取消',
      
      // 模式切换
      normal_mode: '普通模式',
      fold_mode: '折叠模式',
      
      // 验证状态
      json_valid: 'JSON格式正确',
      json_invalid: 'JSON格式错误',
      large_json_processed: '大型JSON已处理 ({size}KB)',
      
      // JSONPath查询
      jsonpath_query: 'JSONPath查询',
      enter_jsonpath: '输入JSONPath表达式查询JSON数据中的特定值',
      jsonpath_placeholder: '例如: user.profile.name 或 data[0].id',
      query_result_placeholder: '查询结果将显示在这里',
      
      // 历史记录
      no_history: '暂无历史记录',
      favorites: '收藏夹',
      all_history: '全部历史记录',
      add_favorite: '添加到收藏',
      remove_favorite: '取消收藏',
      edit_title: '编辑标题',
      delete: '删除',
      
      // 保存模态框
      save_to_history: '保存到历史记录',
      edit_saved_json: '编辑已保存的JSON',
      modal_title: '标题',
      enter_title: '请输入标题',
      update: '更新',
      
      // 使用指南
      usage_guide: '使用指南',
      guide_1: '在左侧输入框中粘贴或输入JSON内容',
      guide_2: '使用工具栏按钮进行格式化、压缩、验证等操作',
      guide_3: '支持大型JSON文件处理，会显示处理进度',
      guide_4: '使用JSONPath查询功能快速定位JSON中的特定数据',
      guide_5: '可以保存常用的JSON到历史记录，并设置收藏',
      guide_6: '支持字符串转义/反转义，处理特殊字符',
      guide_7: '支持移除JSON中的转义斜杠',
      guide_8: '提供折叠模式和普通模式两种视图方式'
    },
    http_tester: {
      title: 'HTTP测试',
      description: 'API接口测试、请求响应分析工具',
      send_request: '发送请求',
      clear: '清除',
      save: '保存',
      request_config: '请求配置',
      headers: '请求头',
      request_body: '请求体',
      response: '响应结果',
      status: '状态',
      response_time: '响应时间',
      response_size: '响应大小',
      response_headers: '响应头',
      response_body: '响应体',
      add_header: '添加请求头',
      add_param: '添加参数',
      common_headers: '常用请求头',
      body_type: '请求体类型',
      format_json: '格式化JSON',
      network_type: '网络类型',
      public_network: '公网',
      local_network: '本地/局域网',
      mixed_content_warning: '混合内容警告',
      mixed_content_description: '当前页面使用HTTPS，请求HTTP接口可能被浏览器阻止',
      request_headers: '请求头',
      request_history: '请求历史',
      hide: '隐藏',
      show: '显示',
      clear_history: '清空历史',
      clear_history_confirm: '确定要清空所有历史记录吗？',
      no_history: '暂无历史记录',
      sending_request: '正在发送请求...',
      response_content: '响应内容',
      raw: '原始',
      format: '格式化',
      request_info: '请求信息',
      request_details: '请求详情',
      method: '方法',
      url: 'URL',
      response_stats: '响应统计',
      response_result: '响应结果',
      content_type: '内容类型',
      no_response: '暂无响应',
      send_request_hint: '点击发送请求按钮开始测试',
      generate_doc: '生成文档',
      api_documentation: 'API接口文档',
      need_advanced: '需要更强大的API测试工具？',
      characters: '字符',
      copy: '复制'
    },
    timestamp_converter: {
      title: '时间戳转换',
      description: '时间戳与日期时间相互转换工具',
      current_timestamp: '当前时间戳',
      timestamp_to_date: '时间戳转日期',
      date_to_timestamp: '日期转时间戳',
      timestamp_placeholder: '请输入时间戳...',
      date_placeholder: '选择日期时间...',
      convert: '转换',
      copy_timestamp: '复制时间戳',
      copy_date: '复制日期',
      unix_timestamp: 'Unix时间戳',
      formatted_date: '格式化日期',
      iso_format: 'ISO格式',
      custom_format: '自定义格式'
    },
    encoding_converter: {
      title: '编码转换',
      description: 'Base64、URL编码、Unicode等编码转换工具',
      input_placeholder: '请输入要编码/解码的内容...',
      output_placeholder: '转换结果将显示在这里...',
      base64_encode: 'Base64编码',
      base64_decode: 'Base64解码',
      url_encode: 'URL编码',
      url_decode: 'URL解码',
      unicode_encode: 'Unicode编码',
      unicode_decode: 'Unicode解码',
      html_encode: 'HTML编码',
      html_decode: 'HTML解码'
    },
    regex_tester: {
      title: '正则表达式测试',
      description: '正则表达式匹配测试、语法验证工具',
      pattern: '正则表达式',
      test_text: '测试文本',
      flags: '标志',
      global: '全局匹配',
      case_insensitive: '忽略大小写',
      multiline: '多行模式',
      test: '测试',
      match_result: '匹配结果',
      no_matches: '无匹配结果',
      matches_found: '找到 {count} 个匹配',
      pattern_placeholder: '请输入正则表达式...',
      text_placeholder: '请输入测试文本...'
    },
    crypto_tools: {
      title: '加密解密',
      description: 'MD5、SHA、AES、DES等加密解密工具',
      hash_type: '哈希类型',
      encrypt: '加密',
      decrypt: '解密',
      key: '密钥',
      iv: '初始向量',
      mode: '模式',
      padding: '填充',
      input_text: '输入文本',
      output_text: '输出文本',
      key_placeholder: '请输入密钥...',
      text_placeholder: '请输入要加密/解密的文本...'
    },
    color_tools: {
      title: '颜色工具',
      description: 'RGB、HEX、HSL颜色转换调色板',
      color_picker: '颜色选择器',
      hex: 'HEX',
      rgb: 'RGB',
      hsl: 'HSL',
      hsv: 'HSV',
      cmyk: 'CMYK',
      color_palette: '调色板',
      copy_color: '复制颜色值',
      random_color: '随机颜色',
      color_harmony: '配色方案'
    },
    code_formatter: {
      title: '代码格式化',
      description: '代码美化、格式化、压缩工具',
      language: '语言',
      format: '格式化',
      minify: '压缩',
      copy_result: '复制结果',
      clear_all: '清除全部',
      input_placeholder: '请输入代码...',
      output_placeholder: '格式化结果将显示在这里...',
      indent_size: '缩进大小',
      line_count: '行数',
      char_count: '字符数'
    },
    json_editor: {
      title: 'JSON编辑器',
      description: '可视化JSON编辑、树形视图工具',
      tree_view: '树形视图',
      text_view: '文本视图',
      expand_all: '展开全部',
      collapse_all: '折叠全部',
      search_key: '搜索键',
      add_property: '添加属性',
      delete_property: '删除属性',
      edit_value: '编辑值',
      save_changes: '保存更改'
    },
    json_converter: {
      title: 'JSON转换',
      description: 'JSON与XML、YAML、CSV等格式互转',
      source_format: '源格式',
      target_format: '目标格式',
      convert: '转换',
      conversion_options: '转换选项',
      pretty_print: '美化输出',
      include_header: '包含头部',
      custom_delimiter: '自定义分隔符'
    },
    url_encoder: {
      title: 'URL编码',
      description: 'URL编码解码、网址转换工具',
      encode: '编码',
      decode: '解码',
      component_encode: '组件编码',
      component_decode: '组件解码',
      input_url: '输入URL',
      encoded_url: '编码后URL',
      decode_url: '解码后URL'
    },
    unicode_converter: {
      title: 'Unicode转换',
      description: 'Unicode与中文字符互转工具',
      to_unicode: '转为Unicode',
      from_unicode: '从Unicode转换',
      chinese_text: '中文文本',
      unicode_text: 'Unicode文本',
      escape_format: '转义格式',
      format_js: 'JavaScript格式',
      format_java: 'Java格式',
      format_python: 'Python格式'
    },
    jwt_decoder: {
      title: 'JWT解码',
      description: 'JWT令牌解析验证工具',
      jwt_token: 'JWT令牌',
      header: '头部',
      payload: '载荷',
      signature: '签名',
      decoded_header: '解码头部',
      decoded_payload: '解码载荷',
      token_info: '令牌信息',
      algorithm: '算法',
      issued_at: '签发时间',
      expires_at: '过期时间',
      verify_signature: '验证签名'
    },
    ip_lookup: {
      title: 'IP查询',
      description: 'IP地址归属地查询、类型分析工具',
      ip_address: 'IP地址',
      lookup: '查询',
      location: '位置信息',
      isp: '运营商',
      country: '国家',
      region: '省份',
      city: '城市',
      timezone: '时区',
      ip_type: 'IP类型',
      public_ip: '公网IP',
      private_ip: '私网IP',
      current_ip: '当前IP'
    },
    date_calculator: {
      title: '日期计算',
      description: '日期差值、天数计算工具',
      start_date: '开始日期',
      end_date: '结束日期',
      calculate: '计算',
      date_diff: '日期差值',
      days: '天',
      hours: '小时',
      minutes: '分钟',
      seconds: '秒',
      add_time: '添加时间',
      subtract_time: '减去时间',
      time_unit: '时间单位'
    },
    timezone_converter: {
      title: '时区转换',
      description: '全球时区时间转换工具',
      source_timezone: '源时区',
      target_timezone: '目标时区',
      source_time: '源时间',
      converted_time: '转换后时间',
      convert: '转换',
      common_timezones: '常用时区',
      utc_time: 'UTC时间',
      local_time: '本地时间'
    },
    text_counter: {
      title: '文本统计',
      description: '字数、词数、行数等统计分析工具',
      text_input: '文本输入',
      character_count: '字符数',
      word_count: '词数',
      line_count: '行数',
      paragraph_count: '段落数',
      sentence_count: '句子数',
      reading_time: '阅读时间',
      reading_speed: '阅读速度',
      fast: '快速',
      normal: '正常',
      slow: '慢速',
      most_used_words: '最常用词汇'
    },
    text_space_stripper: {
      title: '文本空格清理',
      description: '空格、换行符、制表符处理工具',
      process: '处理',
      processing_options: '处理选项',
      remove_leading: '移除行首空格',
      remove_trailing: '移除行尾空格',
      remove_all_spaces: '移除所有空格',
      collapse_spaces: '合并连续空格',
      remove_tabs: '移除制表符',
      tabs_to_spaces: '制表符转空格',
      remove_empty_lines: '移除空行',
      collapse_empty_lines: '合并空行',
      normalize_line_endings: '统一换行符',
      preset_configs: '预设配置',
      apply_preset: '应用预设',
      processing_log: '处理日志',
      statistics: '统计信息'
    },
    html_markdown_converter: {
      title: 'HTML/Markdown转换',
      description: 'HTML与Markdown文档格式双向转换',
      html_to_markdown: 'HTML转Markdown',
      markdown_to_html: 'Markdown转HTML',
      convert: '转换',
      preview: '预览',
      html_input: 'HTML输入',
      markdown_input: 'Markdown输入',
      conversion_options: '转换选项',
      preserve_whitespace: '保留空格',
      gfm_mode: 'GitHub模式'
    },
    image_compressor: {
      title: '图片压缩',
      description: '图片压缩优化、质量调整工具',
      upload_image: '上传图片',
      compress: '压缩',
      quality: '质量',
      width: '宽度',
      height: '高度',
      format: '格式',
      original_size: '原始大小',
      compressed_size: '压缩后大小',
      compression_ratio: '压缩比',
      maintain_aspect_ratio: '保持宽高比',
      download_result: '下载结果'
    },
    qrcode_generator: {
      title: '二维码生成',
      description: '文本转二维码、自定义样式工具',
      text_input: '文本输入',
      generate: '生成',
      qr_size: '二维码大小',
      error_level: '容错级别',
      foreground_color: '前景色',
      background_color: '背景色',
      download_qr: '下载二维码',
      qr_preview: '二维码预览'
    },
    css_gradient_generator: {
      title: 'CSS渐变生成',
      description: '线性/径向渐变代码生成工具',
      gradient_type: '渐变类型',
      linear_gradient: '线性渐变',
      radial_gradient: '径向渐变',
      angle: '角度',
      direction: '方向',
      color_stops: '颜色停止点',
      add_color: '添加颜色',
      remove_color: '删除颜色',
      position: '位置',
      css_code: 'CSS代码',
      copy_css: '复制CSS',
      preview: '预览'
    },
    number_base_converter: {
      title: '进制转换',
      description: '二进制、八进制、十六进制转换工具',
      decimal: '十进制',
      binary: '二进制',
      octal: '八进制',
      hexadecimal: '十六进制',
      convert: '转换',
      input_number: '输入数字',
      conversion_result: '转换结果',
      base_system: '进制系统'
    },
    yml_properties_converter: {
      title: 'YML/Properties转换',
      description: 'YML与Properties配置文件格式互转',
      yml_to_properties: 'YML转Properties',
      properties_to_yml: 'Properties转YML',
      convert: '转换',
      yml_input: 'YML输入',
      properties_input: 'Properties输入',
      conversion_result: '转换结果'
    },
    base64_to_image: {
      title: 'Base64转图片',
      description: 'Base64与图片双向转换工具',
      image_to_base64: '图片转Base64',
      base64_to_image: 'Base64转图片',
      upload_image: '上传图片',
      base64_input: 'Base64输入',
      image_preview: '图片预览',
      image_info: '图片信息',
      download_image: '下载图片',
      copy_base64: '复制Base64'
    },
    image_watermark: {
      title: '图片水印',
      description: '文字/图片水印添加工具',
      upload_image: '上传图片',
      watermark_type: '水印类型',
      text_watermark: '文字水印',
      image_watermark: '图片水印',
      watermark_text: '水印文字',
      position: '位置',
      opacity: '透明度',
      font_size: '字体大小',
      color: '颜色',
      add_watermark: '添加水印',
      download_result: '下载结果'
    },
    image_to_ico: {
      title: '图片转ICO',
      description: '多种格式转ICO图标工具',
      upload_image: '上传图片',
      ico_sizes: 'ICO尺寸',
      select_sizes: '选择尺寸',
      generate_ico: '生成ICO',
      download_ico: '下载ICO',
      multi_size: '多尺寸',
      single_size: '单尺寸',
      custom_size: '自定义尺寸'
    },
    cron_generator: {
      title: 'Cron表达式生成',
      description: '定时任务表达式配置工具',
      cron_expression: 'Cron表达式',
      preset_expressions: '预设表达式',
      custom_expression: '自定义表达式',
      minute: '分钟',
      hour: '小时',
      day: '日',
      month: '月',
      weekday: '星期',
      year: '年',
      next_run_times: '下次执行时间',
      expression_description: '表达式说明',
      generate: '生成',
      validate: '验证'
    },
    chrome_bookmark_recovery: {
      title: 'Chrome书签恢复',
      description: 'Chrome浏览器书签文件恢复工具',
      upload_file: '上传书签文件',
      file_analysis: '文件分析',
      bookmark_list: '书签列表',
      export_bookmarks: '导出书签',
      recovery_success: '恢复成功',
      file_format_error: '文件格式错误',
      instructions: {
        windows: {
          title: 'Windows 系统操作说明',
          steps: [
            '复制路径 C:\\Users\\%username%\\AppData\\Local\\Google\\Chrome\\User Data 到文件资源管理器',
            '在搜索栏中输入 Bookmarks，你将看到名为 Bookmarks 和/或 Bookmarks.bak 的文件列表',
            '如果同一台电脑上有多个用户使用 Chrome，其他用户的书签文件也会被列出',
            '选择所有文件并将它们拖拽到下方的上传区域',
            '下载所有转换后的 HTML 文件',
            '用 Chrome 打开每个 HTML 文件，确定哪个文件包含你的书签（通常最大的文件是正确的）',
            '在 Chrome 浏览器中，点击菜单图标，进入 书签 > 书签管理器',
            '点击搜索栏旁边的菜单图标，选择"导入书签"',
            '选择包含你书签的 HTML 文件',
            '你的书签现在应该已经导入到 Chrome 中了'
          ]
        }
      }
    },
    seal_generator: {
      title: '印章生成器',
      description: '电子印章制作工具，支持公司印章和个人印章',
      basic_settings: '基础参数',
      text_settings: '文字设置',
      border_settings: '边框设置',
      seal_type: '印章样式',
      company_round: '公司圆章',
      company_oval: '公司椭圆章',
      personal_square: '个人方章',
      personal_round: '个人圆章',
      seal_size: '印章大小',
      seal_color: '印章颜色',
      background_color: '背景颜色',
      main_text: '主文字',
      center_text: '中心文字',
      header_text: '抬头文字',
      sub_text: '副文字',
      font_size: '字体大小',
      main_font_size: '主文字大小',
      center_font_size: '中心文字大小',
      outer_border_width: '外边线宽度',
      inner_border_width: '内边线宽度',
      show_star: '显示五角星',
      generate_seal: '生成印章',
      download_seal: '下载印章',
      clear_all: '清空',
      seal_preview: '印章预览',
      company_name_placeholder: '公司名称',
      personal_name_placeholder: '姓名',
      center_text_placeholder: '印',
      header_text_placeholder: '例：总公司、分公司',
      sub_text_placeholder: '例：有限公司、股份有限公司',
      preview_tip: '请填写印章信息并点击生成',
      usage_instructions: '使用说明',
      company_seal_features: '公司印章功能',
      personal_seal_features: '个人印章功能',
      important_notice: '重要提示',
      legal_notice: '本工具生成的印章仅供学习和测试使用，请勿用于非法用途。正式的公司印章需要到相关部门进行备案注册。'
    }
  }
} 